Page MenuHomePhabricator

How important is being able to override global preferences?
Closed, ResolvedPublic

Description

Do user research to figure out to which degree users who want global preferences need to be able to override them, e.g. for language purposes.

Event Timeline

Johan created this task.Jan 10 2017, 12:52 AM
Restricted Application added a project: User-Johan. · View Herald TranscriptJan 10 2017, 12:52 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Johan triaged this task as Medium priority.Jan 10 2017, 12:52 AM
Johan added a subscriber: kaldari.
Elitre added a subscriber: Elitre.Jan 10 2017, 12:56 AM

Maybe starting with the group of people who asked for this in the first place (Community Wishlist, Phab, ...?).

Starting by talking to people who voted for it in the wishlist survey is a good start, I think.

There's some discussion at T16950: [Epic] Support global preferences on Wikimedia wikis about this. Setting aside the grand goal of trying to implement every preference everywhere immediately, we're talking about having at least support for functionality such as a gender user preference that extends to more than one wiki (T134042). I continue to think that the obstacles to implementing such functionality are overblown and overstated. We have unified login, we have Meta-Wiki, we have centralized databases and tables available that each of the other 800-plus public Wikimedia wikis can query and write to, we normalized the user preferences schema years ago, etc. We should be in a place where we can implement at least basic support for global user preferences, in my opinion.

@MZMcBride: I agree. I don't see any technical barriers to global preferences at this point. The main issue is figuring out the needs of the various use cases and making sure that whatever UI we create meets those needs. During the unconference session, I did a demo of Lego's GlobalPreferences extension. The main concern brought up was that it doesn't provide any way to override the global settings. Some folks in the session suggested that a better solution might be to provide a way to easily copy settings across all wikis, but not have them actually be global. For example, if someone speaks English and Spanish, they might want to set their language to English on all wikis as a default, but set it to Spanish on es.wiki.

Johan lowered the priority of this task from Medium to Low.Jul 3 2017, 12:05 PM
Johan raised the priority of this task from Low to Medium.Aug 25 2017, 4:31 AM
Johan added a comment.EditedAug 28 2017, 1:26 PM

There will be an item explaining the request for feedback in Tech News that'll be distributed in a few hours. Additionally, I'm making sure a longer post is posted on a number of Village Pumps (examples: English, Swedish, German).

Posted on French WP, WIKT, WS and WV.

Should we have the sentence "Please use the given link to provide feedback, otherwise we cannot ensure your feedback will definitely be seen" translated to most languages and be ready for copy&paste whenever that happens?

Johan added a comment.Aug 29 2017, 5:39 PM

That's not a bad idea.

Johan added a comment.Aug 31 2017, 2:51 PM

Also posted on the wikitech-ambassadors list if anyone there wants to spread the word.

Johan moved this task from Backlog to Do now on the User-Johan board.Sep 5 2017, 4:11 AM
Johan lowered the priority of this task from Medium to Low.Sep 26 2017, 11:58 AM
Johan closed this task as Resolved.Oct 3 2017, 6:09 PM
Johan raised the priority of this task from Low to Medium.

We have the feedback, the discussion is done.

Johan moved this task from Do now to Archive on the User-Johan board.Jan 10 2018, 4:31 PM